# vim: set ft=spec: -*- rpm-spec -*-

Name: ruby-activeldap
Version: 0.7.4
Release: alt1

Summary: ruby library for object-oriented LDAP interction
Group: Development/Ruby
License: GPL

Url: http://rubyforge.org/projects/ruby-activeldap/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

PreReq: ruby-ldap >= 0.8.2
Requires: log4r >= 1.0.4

BuildArch: noarch

Source: %name-%version.tar.gz

BuildRequires: ruby >= 1.8.2-alt3.1 ruby-stdlibs libruby-devel

%description
Ruby/ActiveLDAP is a ruby extension library which provides a clean
objected oriented interface to the Ruby/LDAP library.  It was inspired
by ActivRecord. This is not nearly as clean or as flexible as
ActiveRecord, but it is still trivial to define new objects and
manipulate them with minimal difficulty.

%prep
%setup -q

%build
ruby -rvendor-specific setup.rb config
ruby -rvendor-specific setup.rb setup

%install
ruby -rvendor-specific setup.rb install --prefix=%buildroot
%rdoc lib/

%files
%doc CHANGES COPYING README TODO examples
%ruby_sitelibdir/activeldap*
%ruby_ri_sitedir/ActiveLDAP
%ruby_ri_sitedir/LDAP/Schema2

%changelog
* Tue Jul 11 2006 Sir Raorn <raorn@altlinux.ru> 0.7.4-alt1
- [0.7.4]
- Removed patches:
 + alt-search-scope (search scope now configurable, defaults
   to LDAP_SCOPE_ONELEVEL)

* Mon Feb 21 2005 Sir Raorn <raorn@altlinux.ru> 0.5.5-alt1
- [0.5.5]
- Document LDAP::Schema2 extension (prereq'd ruby-ldap)
- URL changed to rubyforge project page
- Set packager to ruby@packages.a.o

* Tue Jan 25 2005 Sir Raorn <raorn@altlinux.ru> 0.5.3-alt1
- [0.5.3]

* Wed Sep 15 2004 Sir Raorn <raorn@altlinux.ru> 0.1.4-alt2
- Fix search scope

* Sat Sep 11 2004 Sir Raorn <raorn@altlinux.ru> 0.1.4-alt1.1
- Rebuilt with new ruby

* Sun Sep 05 2004 Sir Raorn <raorn@altlinux.ru> 0.1.4-alt1
- Built for Sisyphus

